Subject: [Rfced-future] Current RSE responsibilities

From: Eliot Lear <[email-masked]>
Date: Fri, 8 Jan 2021 18:12:05 +0100

Hi everyone,

As promised at our last F2F, here is the table of current responsibilities of the RSE.  It may not be perfectly stated here.  I am trying to be succinct.  If you want to edit the source on Google, just ping me.  Even better, if you want to take ownership of it, there will be great thanks.

The intent is here is not to say that all of these responsibilities have to be fulfilled by the next RS[EA] or even that they have to be fulfilled by anyone, but merely that we recognize what is currently being done and decide who does what, what if anything gets added, and what if anything gets left behind.

If you like, we can go down this list at our interim.

A note, of course this has to do with the discussion we’re having about who represents the broader community.  May I encourage people to continue that conversation as well?

Eliot

RFC 8728
Section	Responsibility
2	rfc-editor.org
2.1	Quality, continuity, and evolution of the series
2.1.1	Performance of the RPC and Publisher function
2.1.1	Creates documentation and structures that will allow for continuity of the RFC Series in the face of changes in contracts and personnel.
2.1.1	Issues that go beyond the RFC Production Center or Publisher functions, such as cross-stream coordination of priorities.
2.1.2.1	Primary point of contact to the IETF on matters relating to the RFC Series in general, or policy matters relating to specific documents
2.1.2.1.1	Supports volunteerism
2.1.2.1.2	Identifies materially concerned interest groups within the Internet community and reaching out to them
2.1.2.1.2	Works with the community to achieve policy that meets the overall quality, continuity, and evolution goals the RSE is charged with meeting.
2.1.2.2	Represents the Series externally.
2.1.3	Ongoing development of production and publication
2.1.4	Broad community engagement
2.1.4	Provide vision for evolution of the publication environment

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 8 Jan 2021 17:34:46 -0000

Thanks Eliot,

Useful to have this list. Should help us focus on:

*	What tasks we want to be continued
*	What roles we want to take responsibility for the tasks
*	What skillsets we need to fill the roles
*	 

In view of the recent thread about John contacting the archival repositories for RFCs, may be worth picking this up specifically from section 2.1.4 as an additional task “Ensure long-term archive of RFCs is maintained”

Cheers,

Adrian

From: Rfced-future <[email-masked]> On Behalf Of Eliot Lear
Sent: 08 January 2021 17:12
To: [email-masked]
Subject: [Rfced-future] Current RSE responsibilities

Hi everyone,

Eliot

RFC 8728

Section

Responsibility

2

rfc-editor.org <http://rfc-editor.org> 

2.1

Quality, continuity, and evolution of the series

2.1.1

Performance of the RPC and Publisher function

2.1.1

Creates documentation and structures that will allow for continuity of the RFC Series in the face of changes in contracts and personnel.

2.1.1

Issues that go beyond the RFC Production Center or Publisher functions, such as cross-stream coordination of priorities.

2.1.2.1

Primary point of contact to the IETF on matters relating to the RFC Series in general, or policy matters relating to specific documents

2.1.2.1.1

Supports volunteerism

2.1.2.1.2

Identifies materially concerned interest groups within the Internet community and reaching out to them

2.1.2.1.2

Works with the community to achieve policy that meets the overall quality, continuity, and evolution goals the RSE is charged with meeting.

2.1.2.2

Represents the Series externally.

2.1.3

Ongoing development of production and publication

2.1.4

Broad community engagement

2.1.4

Provide vision for evolution of the publication environment

---

From: Eliot Lear <[email-masked]>
Date: Fri, 8 Jan 2021 18:55:11 +0100

Hi Adrian and thanks.  I added the extra line.  FWIW, the sheet I’m using is here <https://docs.google.com/spreadsheets/d/1Fd42JXEcvceUaVfFiD49wQeKY7Cl0hxO96NA7yW3lqE/edit#gid=0>.

Eliot

> On 8 Jan 2021, at 18:34, Adrian Farrel <[email-masked]> wrote:
> 
> Thanks Eliot,
> 
> What tasks we want to be continued
> What roles we want to take responsibility for the tasks
> What skillsets we need to fill the roles
> 
> rfc-editor.org <http://rfc-editor.org/>
> 2.1